Net::LDAPI(3)

NAME
Net::LDAPI - use LDAP over a UNIX domain socket

SYNOPSIS
 use Net::LDAPI;

 $ldapi = Net::LDAPI->new('/var/run/ldapi');

 # alternate way
 use Net::LDAP;

 $ldapi = Net::LDAP->new('ldapi://');

DESCRIPTION
Communicate using the LDAP protocol to a directory server using a UNIX domain socket. This mechanism is non-standard, UNIX-specific and not widely supported.

All the normal "Net::LDAP" methods can be used with a "Net::LDAPI" object; see Net::LDAP for details.

CONSTRUCTOR

new ( [SOCKPATH] )
    Create a new connection. SOCKPATH can optionally be specified, to specify the location of the UNIX domain socket to connect to.

    If SOCKPATH is not given, the environment variable "LDAPI_SOCK" is evaluated, and if that does not exist, the value "/var/run/ldapi" is used.

    See "new" in Net::LDAP for further details.

SEE ALSO
Net::LDAP, IO::Socket::UNIX

BUGS
None yet.

AUTHOR
Derrik Pates <dpates@dsdk12.net>

COPYRIGHT
Copyright (c) 2003-2004, Derrik Pates and Graham Barr. All rights reserved. This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.